Package ru.bitel.bgbilling.modules.mobile.server.bean

# Class ActionContext

java.lang.Object
ru.bitel.common.worker.ThreadContext
ru.bitel.bgbilling.kernel.base.server.DefaultContext
ru.bitel.bgbilling.kernel.container.managed.ContainerContext
ru.bitel.bgbilling.kernel.container.managed.ServerContext
ru.bitel.bgbilling.modules.mobile.server.bean.ActionContext

All Implemented Interfaces:
  `AutoCloseable`, `ru.bitel.common.util.ConnectionHolder`, `ru.bitel.common.worker.Commitable`, `ru.bitel.common.worker.CommitableHandler`, `ru.bitel.common.worker.Recyclable`

public class ActionContext extends ru.bitel.bgbilling.kernel.container.managed.ServerContext

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final jakarta.servlet.http.HttpServletRequest`
  `request`
  `protected final jakarta.servlet.http.HttpServletResponse`
  `response`
  `protected final jakarta.servlet.ServletContext`
  `servletContext`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.container.managed.ContainerContext

  `setup`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.base.server.DefaultContext

  `connectionSet`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ActionContext(Setup setup, int moduleId, int userId, jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, jakarta.servlet.ServletContext servletContext)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.servlet.http.HttpServletRequest`
  `getRequest()`
  `jakarta.servlet.http.HttpServletResponse`
  `getResponse()`
  `jakarta.servlet.ServletContext`
  `getServletContext()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.container.managed.ServerContext

  `addCommitable, commit, destroy, getDirectory, getResourceManager, getService, init, newDirectory, newService, publishAfterCommit, recycle`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.container.managed.ContainerContext

  `getEnvironment, getModuleId, getModuleSetup, getNamingContext, getSetup, getUserId`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.DefaultContext

  `close, getConnection, getConnectionSet`

  ### Methods inherited from class ru.bitel.common.worker.ThreadContext

  `get, get, pop, push, set`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### request

    protected final jakarta.servlet.http.HttpServletRequest request

  - ### response

    protected final jakarta.servlet.http.HttpServletResponse response

  - ### servletContext

    protected final jakarta.servlet.ServletContext servletContext

- ## Constructor Details

  - ### ActionContext

    public ActionContext(Setup setup, int moduleId, int userId, jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, jakarta.servlet.ServletContext servletContext)

- ## Method Details

  - ### getServletContext

    public jakarta.servlet.ServletContext getServletContext()

  - ### getRequest

    public jakarta.servlet.http.HttpServletRequest getRequest()

  - ### getResponse

    public jakarta.servlet.http.HttpServletResponse getResponse()